
ChiliProject - Task # 58: Colors and Logo

Status: Declined Priority: Normal
Author: Muntek Singh Category:
Created: 2011-01-13 Assignee:
Updated: 2011-12-10 Due date:
Remote issue URL:
Description: I just got this from one of my designers, if you all could please review and use your imagination, I can get her 

to make the concepts roughly if it's too hard to imagine.

"Download this PDF file":http://techmight.com/chili/chiliprojectconcepts.pdf

History
2011-01-13 03:16 pm - Eric Davis
I'm very bad with color, let me ask around to some other people and see what they think.

2011-01-13 03:25 pm - Eric Davis
- Tracker changed from Feature to Task

(Keep "internal" project issues on the Task tracker)

2011-01-14 12:32 am - Niels Lindenthal
- Assignee set to Niels Lindenthal

I can ask our designer to propose a color sheme. I am happy to sponsor this. Please let me know if there are other thoughts on this.

2011-01-14 01:18 am - Felix Schäfer
@Muntek: From those on there I think I like the third most, though I'm not a colors guy (heck, ncurses is a valid UI if you ask me), so don't take my word 
for it ;-) Depending on how big a favor you're asking from your friend ("could you please quickly soup up something for " can quickly turn to something 
bigger/not-so-free-anymore), I'd also go with Niels'/Finn's offer.

On a more general note: I don't think we should invest too much time and effort into color scheming the current theme if we intend to adopt the S+P 
theme in a few months, for which a bigger part of the work would have to be done again.

Regarding the logo: same thing, we need something short-term for gravatar/github/twitter/favicon and to stick in people's minds, but I wouldn't want to 
"rush" a decision now on a definitive logo and would rather postpone it until the theme revamp.

2011-01-14 08:29 am - Eric Davis
Felix SchÃ¤fer wrote:
> On a more general note: I don't think we should invest too much time and effort into color scheming the current theme if we intend to adopt the S+P 
theme in a few months, for which a bigger part of the work would have to be done again.

Point of clarification: I don't want to use the full S+P theme, just the layout (HTML structure) and basic CSS. I have another client who is using a white 
version that is really close to this current color scheme now that I think about it.

2011-01-14 08:40 am - Wieland Lindenthal
@Eric: Now, I wonder what else is part of the S&P theme that is not Layout nor CSS... but this might not be of my business ;-)

2011-01-14 09:00 am - Eric Davis
* Custom project menus
* Improved right click menu - triggers on right and left clicks but only in the ID column
* Tooltip on the issues list showing a preview of the issue details
* Attachment thumbnails
* Admin control over custom CSS
* Admin control over custom JS
* REMOVED - New issue button would open the form in a JavaScript lightbox so you could add a new issue from any page

Few other features but I can't remember exactly.

2011-01-14 09:36 am - Wieland Lindenthal
Eric Davis wrote:
> * Custom project menus
> * Improved right click menu - triggers on right and left clicks but only in the ID column
> * Tooltip on the issues list showing a preview of the issue details
> * Attachment thumbnails
> * Admin control over custom CSS
> * Admin control over custom JS
> * REMOVED - New issue button would open the form in a JavaScript lightbox so you could add a new issue from any page

Hey Eric, for me these features sound very useful. Aren't you convinced about them so that you want to leave them out?

* Nobody knows about the context menu if it is just on the right click. A visual hint working on a left click sound great.
* Previewing issues within the issues list is something I started implementing myself, but never finished...
* Attachment-Thumbnails: It is obviously useful, as you as a user can care less about naming screenshot for example: "Image 1.png"...
* The "New Issue" tab in Redmine in my opinion is against all logic in general. Why is it a tab? Why isn't there a button in the issues list? I would love to 
have a button on every page to drop thoughts first and defer managing them to a later point of time (GTD like). A lightbox could do part of this job.
* The custom CSS and JavaScript thing I do not understand. I assume it is relevant for hosting?

Best regards
Wieland

2011-01-14 10:27 am - Tim Felgentreff
Wieland Lindenthal wrote:
> 
> Hey Eric, for me these features sound very useful. Aren't you convinced about them so that you want to leave them out?
> 

I second this, however, having not looked at the code, if Eric feels those features aren't of a quality to just use them like that, we should leave them out 
for now.

2011-01-14 10:41 am - Eric Davis
My opinion is based on a few things:

* the code was written as a plugin so it's more complex than needed (e.g. patching core classes instead of just changing them)
* the plugin is developed for Redmine 0.9/1.0-ish so needs some updates, especially in the views
* the code isn't tested in the plugin, I have tests inside of the client's app that I'd need to extract and rewrite
* some decisions we made need to be changed after using it for a few months
* some implementations could use more community feedback to see what is the best way

That's why I'm proposing only taking the overall layout for now. Later on I'll open new issues for adding the "extra features" to the main application, 
many of them will be very useful for everyone.

2011-02-01 07:05 am - Eric Davis
- Target version deleted (Public Launch)
- Assignee deleted (Niels Lindenthal)

I think the UI team needs to lead this discussion, probably with some ideas about how the project should appear (branding). I think the basic colors we 
have now will work fine for the launch.

2011-02-01 12:52 pm - Felix Schäfer
Regarding the logo: I'd like to use it for the twitter accounts and so on until we have a more definitive one. Objections?

Eric: Did you contact the author about it?

2011-02-01 06:02 pm - Eric Davis
Felix SchÃ¤fer wrote:
> Regarding the logo: I'd like to use it for the twitter accounts and so on until we have a more definitive one. Objections?

No objections here.

> Eric: Did you contact the author about it?

It's creative commons you can you use it as long as you give attribution to the author. Click through the Flickr link on #81, there is a link to the full 
license.

2011-02-01 10:05 pm - Felix Schäfer
Eric Davis wrote:
> It's creative commons you can you use it as long as you give attribution to the author. Click through the Flickr link on #81, there is a link to the full 
license.

Ok, I updated both accounts to use the "flickr":http://www.flickr.com/photos/thebrownhouse/4599233853/sizes/l/ image as icon, looks quite good 
actually.

2011-02-01 10:49 pm - Felix Schäfer
- Status set to Open

2011-10-12 03:37 pm - Romano Licker
- Target version set to 2.4.0

For our design proposal https://ux.finn.de/ Christoph Zierz from zz-media designed the following logo:
https://ux.finn.de/images/logo_chiliproject.png

2011-10-12 04:50 pm - Holger Just
- Target version changed from 2.4.0 to 3.0.0

The theme will be part of the 3.0 release if it is ready until then. We are going to have too many changes for a minor release.

2011-12-10 09:51 pm - Eric Davis
- Target version deleted (3.0.0)
- Status changed from Open to Declined

Closing. Feels like this issue should have been a discussion thread instead since there wasn't really any actionable task.
